For the complete documentation index, see llms.txt. This page is also available as Markdown.

Get property details

Gets the details for this property.

get
/tenants/{tenantUid}/properties/{propertyUid}
Authorizations
AuthorizationstringRequired

Access token recevied after user login with a deviceToken

Path parameters
tenantUidstringRequired

Reference to a tenant.

Pattern: ^[A-Za-z0-9-_]+
propertyUidstringRequired

Reference to a product property definition

Pattern: ^[A-Za-z0-9-_]+
Responses
200

Example response

application/json

A product property that extends the product with new data. It comes in three data types; TEXT, LIST or CHECKLIST.

createdAtstring · date-timeRequired
propertyNamestringRequired
lastModifiedAtstring · date-timeRequired
propertyUidstringRequiredPattern: ^[A-Za-z0-9-_]+
typestring · enumRequired

Describes the type of property a product can have.

ENUMDescription
TEXTA single text line such as an URL to a product manual or a reminder to the cashier/salesperson.
SINGLESELECTA list of values where a product can only have one at any given time.
MULTISELECTA list of values where a product can have none or several at any given time.
Possible values:
externalIdstringOptional
get/tenants/{tenantUid}/properties/{propertyUid}
GET /v2/tenants/{tenantUid}/properties/{propertyUid} HTTP/1.1
Host: api.flowretail.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
200

Example response

{
  "createdAt": "2026-01-01T00:00:00.000Z",
  "propertyName": "text",
  "lastModifiedAt": "2026-01-01T00:00:00.000Z",
  "propertyUid": "text",
  "type": "TEXT",
  "externalId": "text"
}

Last updated

Was this helpful?